Bug 701315 - Cannot see installed subscription
Cannot see installed subscription
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.2
i386 Linux
high Severity high
: rc
: ---
Assigned To: Bryan Kearney
John Sefler
:
Depends On: 696020
Blocks: rhsm-rhel62 697965
  Show dependency treegraph
 
Reported: 2011-05-02 11:03 EDT by Bryan Kearney
Modified: 2011-12-06 12:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Subscriptions are represented by numeric serial numbers. Subscription manager was crashing when larger (greater than 4 byte) numbers were being used for the serial number. The resolution to this bug allows for these larger numbers.
Story Points: ---
Clone Of: 696020
Environment:
Last Closed: 2011-12-06 12:13:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2011-05-02 11:03:15 EDT
+++ This bug was initially created as a clone of Bug #696020 +++

Description of problem:

After registering the system and subscribing to a subscription, installed subscription is not listed in 'My Subscriptions' tab.

Version-Release number of selected component (if applicable):
subscription-manager-debuginfo-0.95.7-1.el6.i686
subscription-manager-gnome-0.95.7-1.el6.i686
subscription-manager-firstboot-0.95.7-1.el6.i686
subscription-manager-0.95.7-1.el6.i686


How reproducible:
100%

Steps to Reproduce:
1. Start RHSM GUI
2. Register the system enabling auto-subscribe to proper subscription
3. Click 'My Subscriptions'
  
Actual results:
There is no subscription

Expected results:
Installed subscription must be listed.

Additional info:
This works with subscription-manager-0.95.6-1.

--- Additional comment from pm-rhel@redhat.com on 2011-04-13 01:22:47 EDT ---

Since this issue was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from syeghiay@redhat.com on 2011-04-13 10:18:40 EDT ---

Is this a blocker for 6.1?

--- Additional comment from bkearney@redhat.com on 2011-04-13 13:10:08 EDT ---

Sly:

I do not believe so.

Kenici: Can you please re-verify this with 0.95.8?

--- Additional comment from jsefler@redhat.com on 2011-04-13 14:04:50 EDT ---

I was NOT able to reproduce this bug using the qa@redhat.com account against hostname = subscription.rhn.redhat.com using sm version...
# rpm -q subscription-manager-gnome
subscription-manager-gnome-0.95.8-1.el6.x86_64

Both autosubscribe and manual subscribe in the gui resulted in the expected subscription listed in 'My Subscriptions' tab.

WORKSFORME

--- Additional comment from ktakemur@redhat.com on 2011-04-13 19:44:55 EDT ---

Created attachment 491923 [details]
Test results in 0.95.8 and 0.95.6

I can reproduce this bug using my rhn account rhn-engineering-ktakemur with 0.95.8

Please see attached for details.

--- Additional comment from ktakemur@redhat.com on 2011-04-14 01:02:33 EDT ---


I tested using 'qa@redhat.com' and this bug occurs.

By the way I am testing on i686.

--- Additional comment from ktakemur@redhat.com on 2011-04-14 02:16:45 EDT ---


I tested on x86_64 and cannot produce this bug.
I can produce this bug only i686.

--- Additional comment from jsefler@redhat.com on 2011-04-15 10:44:34 EDT ---

Created attachment 492400 [details]
The subscription is not fully rendered in "My Subscriptions" tab

Yes... I agree with ktakemur, this is a problem on arch i686.  I just reproduced this bug with version:
[root@intel-d3x1311-01 ~]# rpm -qa | grep subscription-manager
subscription-manager-gnome-0.95.8-1.el6.i686
subscription-manager-0.95.8-1.el6.i686

Here is the rhsm.log from the point that the subscription is selected from the all available list, "Subscribe" is clicked, and then "My Subscriptions" tab is clicked to reveal the attached screenshot (which matches the screenshot from ktakemur)

(subscription-manager-gui:4160): libglade-WARNING **: unknown property `mnemonics_visible' for class `GtkWindow'
2011-04-15 10:22:30,128 [INFO] _request() @connection.py:147 - loading ca pem certificates from: /etc/rhsm/ca/
2011-04-15 10:22:30,129 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2011-04-15 10:22:30,130 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2011-04-15 10:22:30,130 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2011-04-15 10:22:30,132 [INFO] _request() @connection.py:149 - work in insecure mode ?:False
2011-04-15 10:22:32,545 [INFO] _request() @connection.py:177 - status code: 200
2011-04-15 10:22:32,563 [INFO] _request() @connection.py:147 - loading ca pem certificates from: /etc/rhsm/ca/
2011-04-15 10:22:32,564 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2011-04-15 10:22:32,565 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2011-04-15 10:22:32,566 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2011-04-15 10:22:32,567 [INFO] _request() @connection.py:149 - work in insecure mode ?:False
2011-04-15 10:22:33,233 [INFO] _request() @connection.py:177 - status code: 200
2011-04-15 10:22:33,237 [INFO] _request() @connection.py:147 - loading ca pem certificates from: /etc/rhsm/ca/
2011-04-15 10:22:33,238 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2011-04-15 10:22:33,238 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2011-04-15 10:22:33,239 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2011-04-15 10:22:33,241 [INFO] _request() @connection.py:149 - work in insecure mode ?:False
2011-04-15 10:22:34,040 [INFO] _request() @connection.py:177 - status code: 200
2011-04-15 10:22:35,113 [INFO] perform() @certlib.py:116 - certs updated:
Total updates: 1
Found (local) serial# []
Expected (UEP) serial# [5612802444508691424L]
Added (new)
  [sn:5612802444508691424 (Red Hat Enterprise Linux High Availability (for RHEL 6 Server),) @ /etc/pki/entitlement/5612802444508691424.pem]
  [sn:5612802444508691424 (Red Hat Enterprise Linux Scalable File System (for RHEL 6 Server),) @ /etc/pki/entitlement/5612802444508691424.pem]
  [sn:5612802444508691424 (Red Hat Enterprise Linux 6 Desktop,) @ /etc/pki/entitlement/5612802444508691424.pem]
  [sn:5612802444508691424 (Red Hat Enterprise Linux 6 Server,) @ /etc/pki/entitlement/5612802444508691424.pem]
  [sn:5612802444508691424 (Red Hat Enterprise Linux Resilient Storage (for RHEL 6 Server),) @ /etc/pki/entitlement/5612802444508691424.pem]
  [sn:5612802444508691424 (Red Hat Enterprise Linux 6 for Mainframe,) @ /etc/pki/entitlement/5612802444508691424.pem]
  [sn:5612802444508691424 (Red Hat Enterprise Linux 6 for Premium Architectures,) @ /etc/pki/entitlement/5612802444508691424.pem]
  [sn:5612802444508691424 (Red Hat Enterprise Linux 6 for Scientific Computing,) @ /etc/pki/entitlement/5612802444508691424.pem]
  [sn:5612802444508691424 (Red Hat Enterprise Linux Load Balancer (for RHEL 6 Server),) @ /etc/pki/entitlement/5612802444508691424.pem]
  [sn:5612802444508691424 (Red Hat Enterprise Linux 6 Workstation,) @ /etc/pki/entitlement/5612802444508691424.pem]
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2011-04-15 10:22:38,599 [DEBUG] refresh() @managerlib.py:434 - Refreshing pools from server...
2011-04-15 10:22:38,741 [INFO] _request() @connection.py:147 - loading ca pem certificates from: /etc/rhsm/ca/
2011-04-15 10:22:38,742 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2011-04-15 10:22:38,743 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2011-04-15 10:22:38,744 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2011-04-15 10:22:38,746 [INFO] _request() @connection.py:149 - work in insecure mode ?:False
2011-04-15 10:22:39,416 [INFO] _request() @connection.py:177 - status code: 200
2011-04-15 10:22:39,419 [INFO] _request() @connection.py:147 - loading ca pem certificates from: /etc/rhsm/ca/
2011-04-15 10:22:39,419 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2011-04-15 10:22:39,420 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2011-04-15 10:22:39,421 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2011-04-15 10:22:39,423 [INFO] _request() @connection.py:149 - work in insecure mode ?:False
2011-04-15 10:22:40,082 [INFO] _request() @connection.py:177 - status code: 200
2011-04-15 10:22:40,083 [INFO] _request() @connection.py:147 - loading ca pem certificates from: /etc/rhsm/ca/
2011-04-15 10:22:40,084 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2011-04-15 10:22:40,085 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2011-04-15 10:22:40,086 [INFO] _load_ca_certificates() @connection.py:134 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2011-04-15 10:22:40,087 [INFO] _request() @connection.py:149 - work in insecure mode ?:False
2011-04-15 10:22:42,632 [INFO] _request() @connection.py:177 - status code: 200
2011-04-15 10:22:42,636 [DEBUG] refresh() @managerlib.py:454 - found 1 pools:
2011-04-15 10:22:42,637 [DEBUG] refresh() @managerlib.py:455 -    1 compatible
2011-04-15 10:22:42,637 [DEBUG] refresh() @managerlib.py:456 -    0 incompatible
2011-04-15 10:22:42,638 [DEBUG] refresh() @managerlib.py:457 -    1 already subscribed
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 69, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 115, in update_subscriptions
    self.store.add_map(entry)
  File "/usr/share/rhsm/gui/storage.py", line 58, in add_map
    self.append(entry)
TypeError: value is of wrong type for this column
2011-04-15 10:22:44,333 [DEBUG] __init__() @certlib.py:640 - Sorting product and entitlement cert status for: 2011-04-15 10:22:44.332847
2011-04-15 10:22:44,338 [DEBUG] _populate_all_products() @certlib.py:658 - Installed product IDs: ['69']
2011-04-15 10:22:46,859 [DEBUG] __init__() @certlib.py:649 - valid entitled products: ['69']
2011-04-15 10:22:46,860 [DEBUG] __init__() @certlib.py:650 - expired entitled products: []
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 69, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 115, in update_subscriptions
    self.store.add_map(entry)
  File "/usr/share/rhsm/gui/storage.py", line 58, in add_map
    self.append(entry)
TypeError: value is of wrong type for this column
2011-04-15 10:22:54,250 [DEBUG] __init__() @certlib.py:640 - Sorting product and entitlement cert status for: 2011-04-15 10:22:54.250378
2011-04-15 10:22:54,261 [DEBUG] _populate_all_products() @certlib.py:658 - Installed product IDs: ['69']
2011-04-15 10:22:55,937 [DEBUG] __init__() @certlib.py:649 - valid entitled products: ['69']
2011-04-15 10:22:55,938 [DEBUG] __init__() @certlib.py:650 - expired entitled products: []
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 69, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 115, in update_subscriptions
    self.store.add_map(entry)
  File "/usr/share/rhsm/gui/storage.py", line 58, in add_map
    self.append(entry)
TypeError: value is of wrong type for this column
2011-04-15 10:23:01,554 [DEBUG] __init__() @certlib.py:640 - Sorting product and entitlement cert status for: 2011-04-15 10:23:01.554549
2011-04-15 10:23:01,559 [DEBUG] _populate_all_products() @certlib.py:658 - Installed product IDs: ['69']
2011-04-15 10:23:03,207 [DEBUG] __init__() @certlib.py:649 - valid entitled products: ['69']
2011-04-15 10:23:03,208 [DEBUG] __init__() @certlib.py:650 - expired entitled products: []
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 69, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 115, in update_subscriptions
    self.store.add_map(entry)
  File "/usr/share/rhsm/gui/storage.py", line 58, in add_map
    self.append(entry)
TypeError: value is of wrong type for this column
2011-04-15 10:23:08,811 [DEBUG] __init__() @certlib.py:640 - Sorting product and entitlement cert status for: 2011-04-15 10:23:08.811128
2011-04-15 10:23:08,816 [DEBUG] _populate_all_products() @certlib.py:658 - Installed product IDs: ['69']
2011-04-15 10:23:10,448 [DEBUG] __init__() @certlib.py:649 - valid entitled products: ['69']
2011-04-15 10:23:10,449 [DEBUG] __init__() @certlib.py:650 - expired entitled products: []
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 69, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 115, in update_subscriptions
    self.store.add_map(entry)
  File "/usr/share/rhsm/gui/storage.py", line 58, in add_map
    self.append(entry)
TypeError: value is of wrong type for this column
2011-04-15 10:23:16,012 [DEBUG] __init__() @certlib.py:640 - Sorting product and entitlement cert status for: 2011-04-15 10:23:16.012663
2011-04-15 10:23:16,017 [DEBUG] _populate_all_products() @certlib.py:658 - Installed product IDs: ['69']
2011-04-15 10:23:17,680 [DEBUG] __init__() @certlib.py:649 - valid entitled products: ['69']
2011-04-15 10:23:17,681 [DEBUG] __init__() @certlib.py:650 - expired entitled products: []
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 69, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 115, in update_subscriptions
    self.store.add_map(entry)
  File "/usr/share/rhsm/gui/storage.py", line 58, in add_map
    self.append(entry)
TypeError: value is of wrong type for this column
2011-04-15 10:23:23,258 [DEBUG] __init__() @certlib.py:640 - Sorting product and entitlement cert status for: 2011-04-15 10:23:23.258637
2011-04-15 10:23:23,263 [DEBUG] _populate_all_products() @certlib.py:658 - Installed product IDs: ['69']
2011-04-15 10:23:24,944 [DEBUG] __init__() @certlib.py:649 - valid entitled products: ['69']
2011-04-15 10:23:24,944 [DEBUG] __init__() @certlib.py:650 - expired entitled products: []
2011-04-15 10:23:27,564 [DEBUG] _filter_pools() @managerlib.py:468 - Filtering 1 total pools
2011-04-15 10:23:27,565 [DEBUG] _filter_pools() @managerlib.py:474 - 	Removed 0 incompatible pools
2011-04-15 10:23:27,572 [DEBUG] _filter_pools() @managerlib.py:483 - 	Removed 0 pools for not installed products
2011-04-15 10:23:29,203 [DEBUG] _filter_pools() @managerlib.py:490 - 	Removed 1 pools overlapping existing entitlements
2011-04-15 10:23:29,204 [DEBUG] _filter_pools() @managerlib.py:505 - 	Removed 0 pools that we're already subscribed to
2011-04-15 10:23:29,204 [DEBUG] _filter_pools() @managerlib.py:509 - 	0 pools to display, 1 filtered out
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/widgets.py", line 132, in _selection_callback
    self.on_selection(selection)
  File "/usr/share/rhsm/gui/mysubstab.py", line 145, in on_selection
    order = cert.getOrder()
AttributeError: 'NoneType' object has no attribute 'getOrder'




Currently I have the following i686 box reserved on beaker for your use to troubleshoot...
ssh -XYC root@intel-d3x1311-01.rhts.eng.bos.redhat.com   (use the standard redhat beaker password)

--- Additional comment from jsefler@redhat.com on 2011-04-15 11:01:00 EDT ---

When I attempt to restart subscription-manager-gui after encountering the error above, it fails to start with error :

[root@intel-d3x1311-01 ~]# subscription-manager-gui 
value is of wrong type for this column
[1]+  Done                    subscription-manager-gui

--- Additional comment from alikins@redhat.com on 2011-04-18 10:53:03 EDT ---

There is a patch out for review to fix this.

--- Additional comment from alikins@redhat.com on 2011-04-18 16:04:56 EDT ---

commit dbc4cc51a1747939391b237d05e15b0715bfc53c
Author: Adrian Likins <alikins@redhat.com>
Date:   Fri Apr 15 13:51:47 2011 -0400

    696020: on x86, serial numbers do not like to be long's
    
    Trying to pass a way longer than 4byte 'long' into gtk tree view label
    was throwing errors, so just use it as a string and cast.
    
    Also, the method we were using to detect if we were registered
    wasn't working if no admin api calls were made, so just check
    for existence of consumer id.

--- Additional comment from pm-rhel@redhat.com on 2011-04-28 05:44:33 EDT ---

Since the release flag was set to ? after the pm_ack flag was set to + (was likely set for the previous release), the pm_ack flag has been reset to ? by the bugbot (pm-rhel). This action ensures the proper review by Product Management.
Comment 1 Bryan Kearney 2011-05-02 11:03:35 EDT
Fixed in 129ad420940e72703a50b4f0c5674816a5c28dce
Comment 2 John Sefler 2011-05-10 13:01:42 EDT
moving this bug for verification from 61 to version 6.2 and blocks rhsm-rhel62 since the original bug 696020 has been fixed in a rhel61 ZStream
Comment 4 Shwetha Kallesh 2011-09-07 08:32:23 EDT
Moving the bug to verified..

RPM's used:

 rpm -qa | grep subscription-manager
subscription-manager-firstboot-0.96.8-1.git.22.6521906.el6.x86_64
subscription-manager-0.96.8-1.git.22.6521906.el6.x86_64
subscription-manager-gnome-0.96.8-1.git.22.6521906.el6.x86_64
Comment 5 Bryan Kearney 2011-11-14 12:42:55 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Subscriptions are represented by numeric serial numbers. Subscription manager was crashing when larger (greater than 4 byte) numbers were being used for the serial number. The resolution to this bug allows for these larger numbers.
Comment 6 errata-xmlrpc 2011-12-06 12:13:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1695.html

Note You need to log in before you can comment on or make changes to this bug.